Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax.navigation
Interface Navigator

All Known Implementing Classes:
  FindCorrespondingStartEndElementPairNavigator, FindEndElementNavigator, FindStartElementNavigator, InSubtreeNavigator

    public interface Navigator

Core interface for the navigation system in all StAX transformers.

Every navigator does the specific task to classify, according to a number of StAX events, if the position in the tree matches specific values and therefore decides if they are true or false and returns this value.

Method Summary
`boolean` | `fulfillsCriteria(XMLEvent event)` Depending on the `XMLEvent` it is returned if the navigator fulfills the criteria the `Navigator` is build for.
`boolean` | `isActive()` Every time the `fulfillsCriteria(XMLEvent)` the value returned by this method is stored internally in the `Navigator`.

Method Detail

### fulfillsCriteria

    boolean fulfillsCriteria(XMLEvent event)

  Depending on the `XMLEvent` it is returned if the navigator fulfills the criteria the `Navigator` is build for.

  Parameters:
    `event` - of the XML analyzed at the moment.
  Returns:
    if the `XMLEvent` full fills all criteria of the `Navigator`.

### isActive

    boolean isActive()

  Every time the `fulfillsCriteria(XMLEvent)` the value returned by this method is stored internally in the `Navigator`. As long as the `fulfillsCriteria(XMLEvent)` method is not called again this method returns the last returned value of the `fulfillsCriteria(XMLEvent)` method. As long the `fulfillsCriteria(XMLEvent)` is not called false should be returned.

  Returns:
    the actual value returned by the `fulfillsCriteria(XMLEvent)` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.